[oe-commits] Thomas Zimmermann : connman: move test utils to separate package, shr config do not disable usb0 on startup

git version control git at git.openembedded.org
Thu Jan 7 10:55:56 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: ee6762f166a4769c8326d552ca59f431b705e86e
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=ee6762f166a4769c8326d552ca59f431b705e86e

Author: Thomas Zimmermann <zimmermann at vdm-design.de>
Date:   Tue Oct 27 13:57:49 2009 +0000

connman: move test utils to separate package, shr config do not disable usb0 on startup

Signed-off-by: Klaus Kurzmann <mok at fluxnetz.de>

---

 recipes/connman/connman.inc       |    4 ++-
 recipes/connman/connman_git.bb    |    4 ++-
 recipes/connman/files/shr/connman |   42 +++++++++++++++++++++++++++++++++++++
 3 files changed, 48 insertions(+), 2 deletions(-)

diff --git a/recipes/connman/connman.inc b/recipes/connman/connman.inc
index eb7aa1a..5b2f0cc 100644
--- a/recipes/connman/connman.inc
+++ b/recipes/connman/connman.inc
@@ -54,7 +54,7 @@ python populate_packages_prepend() {
 
 PACKAGES_DYNAMIC = "${PN}-plugin-*"
 
-PACKAGES += "${PN}-scripts"
+PACKAGES += "${PN}-scripts ${PN}-test-utils"
 
 FILES_${PN} = "${bindir}/* ${sbindir}/* ${libexecdir}/* ${libdir}/lib*.so.* \
             ${sysconfdir} ${sharedstatedir} ${localstatedir} \
@@ -64,6 +64,8 @@ FILES_${PN} = "${bindir}/* ${sbindir}/* ${libexecdir}/* ${libdir}/lib*.so.* \
             ${libdir}/bonobo/servers \
             ${datadir}/dbus-1/system-services/*"
 
+FILES_${PN}-test-utils += "${libdir}/connman/test/*"
+
 FILES_${PN}-scripts += "${libdir}/connman/scripts"
 FILES_${PN}-dbg += "${libdir}/connman/*/.debug"
 FILES_${PN}-dev += "${libdir}/connman/*/*.la"
diff --git a/recipes/connman/connman_git.bb b/recipes/connman/connman_git.bb
index 523d39b..c0cb890 100644
--- a/recipes/connman/connman_git.bb
+++ b/recipes/connman/connman_git.bb
@@ -20,12 +20,14 @@ EXTRA_OECONF = " \
   --enable-fake \
 "
 
+EXTRA_OECONF_append_shr += "--disable-tools"
+
 require connman.inc
 
 SRCREV = "1a94db417ecaba20a609ff4b4431a3f67c5dcbc6" 
 
 PV = "0.42+git"
-PR = "r0"
+PR = "r2"
 PR_append = ".gitr${SRCREV}"
 
 DEFAULT_PREFERENCE = "-1"
diff --git a/recipes/connman/files/shr/connman b/recipes/connman/files/shr/connman
new file mode 100755
index 0000000..708b1b4
--- /dev/null
+++ b/recipes/connman/files/shr/connman
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON="/usr/sbin/connmand -I usb0"
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+	. /etc/default/connman
+fi
+
+set -e
+
+do_start() {
+	$DAEMON
+}
+
+do_stop() {
+	start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+  start)
+	echo "Starting $DESC"
+	do_start
+	;;
+  stop)
+	echo "Stopping $DESC"
+	do_stop
+	;;
+  restart|force-reload)
+	echo "Restarting $DESC"
+	do_stop
+	sleep 1
+	do_start
+	;;
+  *)
+	echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0





More information about the Openembedded-commits mailing list